Loading...
Searching...
No Matches
osmium::area::GeomAssembler Class Reference

`#include <geom_assembler.hpp>`

Inheritance diagram for osmium::area::GeomAssembler:
[legend]
Collaboration diagram for osmium::area::GeomAssembler:
[legend]

## Public Types

using | config_type = osmium::area::AssemblerConfig

## Public Member Functions

| GeomAssembler (const config_type &config)
bool | operator() (const osmium::Way &way, osmium::memory::Buffer &out_buffer)
bool | operator() (const osmium::Relation &relation, const osmium::memory::Buffer &ways_buffer, osmium::memory::Buffer &out_buffer)

## Detailed Description

Assembles area objects from closed ways or multipolygon relations and their members. Unlike the Assembler, this one doesn't take tags into account at all. And it doesn't interpret all the config settings and doesn't do all the checks and error reporting the Assembler does.

This class was developed specifically for the need of osm2pgsql. Unless you know what you are doing, use the Assembler class instead of this class. Contact the Libosmium developers if you want to use this class.

## Member Typedef Documentation

## config_type

using osmium::area::GeomAssembler::config_type = osmium::area::AssemblerConfig

## Constructor & Destructor Documentation

## GeomAssembler()

osmium::area::GeomAssembler::GeomAssembler | ( | const config_type & | config | ) |

inline explicit

## Member Function Documentation

## operator()() [1/2]

bool osmium::area::GeomAssembler::operator() | ( | const osmium::Relation & | relation,
|  | const osmium::memory::Buffer & | ways_buffer,
|  | osmium::memory::Buffer & | out_buffer
| ) |  |

inline

Assemble an area from the given relation and its member ways which are in the ways_buffer.

The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area, true otherwise.

## operator()() [2/2]

bool osmium::area::GeomAssembler::operator() | ( | const osmium::Way & | way,
|  | osmium::memory::Buffer & | out_buffer
| ) |  |

inline

Assemble an area from the given way.

The resulting area is put into the out_buffer.

Returns
  false if there was some kind of error building the area, true otherwise.

The documentation for this class was generated from the following file:

- include/osmium/area/geom_assembler.hpp